> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/get-all-cards.md).

# Get all cards

<mark style="color:green;">`GET`</mark> /api/v2/cards

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Params**

| Name         | Value                                                                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/alix-card-api/auth/access-token.md) |

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Your request has been successful",
    "data": [
        {
            "id": "656f7981-5f08-4ebe-9aff-554c12f7e403",
            "cardNumber": "**** **** **** 0814",
            "cardType": "GEC",
            "firstName": "VU",
            "lastName": "PHAM MINH",
            "status": "Active",
            "createdAt": "14/11/2024",
            "metadata": {
                "cardLevel": "Platinum",
                "descriptions": [
                    "Apple Pay & GooglePay",
                    "Authorization fee: 0.5U/per tx"
                ],
                "ages": "18yrs",
                "kyc": [
                    {
                        "name": "KYC L1",
                        "desc": "ID, Passport or License"
                    }
                ],
                "support": "24/7 through help desk",
                "charges": [
                    "Transaction rate in Hong Kong: 1.5%",
                    "Transaction rate outside Hong Kong: 1.5% + cross-border fee (1.5%)"
                ],
                "advantages": [
                    "Suitable for daily use with Apple Pay and Google Pay.",
                    "Not suitable for website subscriptions.",
                    "Does not support Netflix and Wise.",
                    "Does not support certain activities, such as crypto transactions, betting, wagering, lottery, and gambling.",
                    "Excessive chargebacks and failed transactions may lead to suspension or deletion of the card by the bank."
                ]
            }
        }
    ],
    "errorCode": 0
}
```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Description of Card Data**&#x20;

<table><thead><tr><th width="237">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>integer</td><td>id of card</td></tr><tr><td><code>name</code></td><td>string</td><td>The name of card</td></tr><tr><td><code>description</code></td><td>string</td><td>the description of card</td></tr><tr><td><code>cardLine</code></td><td>string</td><td>The line of card: <code>virtual</code> or <code>physical</code> </td></tr><tr><td><code>currency</code></td><td>string</td><td><code>USDT</code></td></tr><tr><td><code>cardBranch</code></td><td>string</td><td><pre><code>Master or Visa                                                
</code></pre></td></tr><tr><td>cardType</td><td>string</td><td>the name alias of cardType. for example: GEC or ELC</td></tr><tr><td>cardLimit</td><td>Decimal</td><td>the limitation of purchase in daily</td></tr><tr><td>metadata</td><td>Object</td><td>all additional information of a card<br>- cardLevel<br>- descriptions<br>- ages<br>- kyc<br>- support<br>- charges<br>- advantages</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/get-all-cards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
